<script lang="ts" setup>
import { ref } from 'vue'
import Aside from './aside/Aside.vue'
import Content from './content/Content.vue'

const asideRef: any = ref(null)

function setAsideItemName(text) {
  asideRef.value.setAsideItemName(text)
}
</script>

<template>
  <div class="main">
    <!-- 侧边 -->
    <Aside ref="asideRef" />

    <!-- 内容 -->
    <Content @set-aside-item-name="setAsideItemName" />
  </div>
</template>

<style lang="less" scoped>
.main {
  display: flex;
  flex-direction: row;
  box-sizing: border-box;
  width: 100%;
}
</style>
